> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/almanac/update-agent-status/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Update Agent Status POST https://agentverse.ai/v1/almanac/agents/{agent_address}/status Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/almanac/update-agent-status ## Request ### Path parameters - `agent_address` (string, required) ### Body (application/json) This endpoint expects an AgentStatusUpdate. - `agent_identifier` (string, required) - `is_active` (boolean, required) — Indicates whether the agent is currently active - `signature` (string, optional) - `timestamp` (integer, optional) ## Response ### 200 Successful Response - `any` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "agent_identifier": "foo", "is_active": true } ``` **SDK Code** ```python almanacUpdateAgentStatusExample import requests url = "https://agentverse.ai/v1/almanac/agents/agent_address/status" payload = { "agent_identifier": "foo", "is_active": True } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript almanacUpdateAgentStatusExample const url = 'https://agentverse.ai/v1/almanac/agents/agent_address/status'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"agent_identifier":"foo","is_active":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go almanacUpdateAgentStatusExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/almanac/agents/agent_address/status" payload := strings.NewReader("{\n \"agent_identifier\": \"foo\",\n \"is_active\": true\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby almanacUpdateAgentStatusExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/almanac/agents/agent_address/status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"agent_identifier\": \"foo\",\n \"is_active\": true\n}" response = http.request(request) puts response.read_body ``` ```java almanacUpdateAgentStatusExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://agentverse.ai/v1/almanac/agents/agent_address/status") .header("Content-Type", "application/json") .body("{\n \"agent_identifier\": \"foo\",\n \"is_active\": true\n}") .asString(); ``` ```php almanacUpdateAgentStatusExample request('POST', 'https://agentverse.ai/v1/almanac/agents/agent_address/status', [ 'body' => '{ "agent_identifier": "foo", "is_active": true }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp almanacUpdateAgentStatusExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/almanac/agents/agent_address/status"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"agent_identifier\": \"foo\",\n \"is_active\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift almanacUpdateAgentStatusExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "agent_identifier": "foo", "is_active": true ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/almanac/agents/agent_address/status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.